Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZOperationHandler Class Reference

The class eZOperationHandler does. More...

## Static Public Member Functions
static | moduleOperationInfo ( $moduleName, $useTriggers=true)
static | execute ( $moduleName, $operationName, $operationParameters, $lastTriggerName=null, $useTriggers=true)
static | operationIsAvailable ( $name)

## Detailed Description

The class eZOperationHandler does.

Definition at line 17 of file ezoperationhandler.php.

## Member Function Documentation

## ◆ execute()

static eZOperationHandler::execute | ( |  | $moduleName,
|  |  | $operationName,
|  |  | $operationParameters,
|  |  | $lastTriggerName = `null`,
|  |  | $useTriggers = `true`
| ) |  |
| static

Definition at line 42 of file ezoperationhandler.php.

References moduleOperationInfo(), and eZDebug\writeError().

Referenced by eZSection\applyTo(), eZContentObjectTreeNodeOperations\copyPublishContentObject(), eZContentFunctions\createAndPublishObject(), eZObjectRelationListType\createNewObject(), eZFinishUserRegisterType\execute(), eZContentObjectPackageHandler\installSuspendedNodeAssignment(), eZTextFileUser\loginUser(), eZObjectRelationListType\onPublish(), eZLDAPUser\publishNewUserGroup(), eZContentUpload\publishObject(), eZLDAPUser\publishUpdateUser(), eZContentObject\rename(), and eZContentFunctions\updateAndPublishObject().

## ◆ moduleOperationInfo()

static eZOperationHandler::moduleOperationInfo | ( |  | $moduleName,
|  |  | $useTriggers = `true`
| ) |  |
| static

Factory for modules' moduleOperationInfo objects.

Parameters

  string | $moduleName |
  bool | $useTriggers,* |

Returns
  eZModuleOperationInfo

Definition at line 27 of file ezoperationhandler.php.

Referenced by execute().

## ◆ operationIsAvailable()

static eZOperationHandler::operationIsAvailable | ( |  | $name | ) |
| static

Checks if a trigger is defined in worklow.ini/[OperationSettings]/AvailableOperationList

Parameters

  string | $name |

Returns
  boolean true if the operation is available, false otherwise

Definition at line 59 of file ezoperationhandler.php.

Referenced by eZSection\applyTo().

The documentation for this class was generated from the following file:

- ezoperationhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.